<ng-container>
    <!DOCTYPE html>
    <html lang="en">
      <head> 
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">

      </head>
    
      <body>

<app-top-menu (loggedOut) = "UsrLoggedOut($event)" ></app-top-menu>
    
<div class="container" *ngIf = "photos && profileUser">
  <div class="row">
    <div class="col-lg-3 col-sm-6">

            <div class="card hovercard">
                <div class="cardheader"
                    style="background-image: url('../../assets/images/background.jpg');"> 
                </div>
                <div class="avatar">  
                    <div *ngIf ="owner">
                      <img (click) = showMsg() src= 'assets/images/pattern.jpg' height="100px" width="100px"/>
                      <p *ngIf = "msg" >{{msg}}</p>
                    </div>
                    
                    <div *ngIf ="!owner">
                      <img (click) = showMsg() src= 'assets/images/pattern.jpg' height="100px" width="100px"/>
                    </div>
                </div> <!--class:"avatar"-->

                <div class="info">
                    <div class="title">
                          {{profileUser.firstname}}
                          {{profileUser.lastname}}
                          <!--{{profileUser.biography}}-->
                        <div class="title-username row">
                            <span class="fa fa-user user-icon"></span> 
                            <div style="margin-right: 20px;">{{profileUser.username}}</div>
                        </div>   
                        <div class="title-email">{{profileUser.email}}</div> 
                    </div>
            

                    <div *ngIf ="owner">

                      <input placeholder="firstname" type= "text" [(ngModel)] = "profileUser.firstname" (change) = "onFirstNameChange()"><br>
                      <input placeholder="lastname" type= "text" [(ngModel)] = "profileUser.lastname" (change) = "onLastNameChange()"><br>
                      <!--<textarea placeholder="Biography" [(ngModel)] = "profileUser.biography" (change) = "onBioChange()"></textarea>-->
                    </div>

                </div> <!--class:"info-->

            <div id="main-photo-table">
                <div class="photo-row row"  *ngFor="let photo of photos;">
                    <a (click) = goToPhoto(photo.id)> <img src = '{{ apiService.url }}/photos/thumbnails/{{ photo.id }}.jpg'/></a>
                </div>
              </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>
</ng-container>
